
function sampeWatch = getSampeWatch(currentTime, handle_control)
global ewatch
global lasteWatchSample

currentSecond = timestamp2sec(currentTime);

sampeWatch = lasteWatchSample;

if ewatch.timeSeconds(sampeWatch)- currentSecond <0
    sampeWatch = sampeWatch + find(ewatch.timeSeconds(sampeWatch:end)- currentSecond >=0, 1);
    if isempty(sampeWatch)
        sampeWatch = length(ewatch.timeSeconds);
    end
elseif ewatch.timeSeconds(sampeWatch)- currentSecond >0
    sampeWatch = find(currentSecond - ewatch.timeSeconds(1:sampeWatch) <=0, 1);
    if isempty(sampeWatch)
        sampeWatch = 1;
    end
end

offset = round(str2double(get(handle_control.edit_offset_ewatch, 'String')));
if isnan(offset)
    stopPlay(handle_control);
    errordlg('There is not a number in the offset box', 'Error: Offset', 'modal');
    return
end

if ((sampeWatch + offset) >= 1) && ((sampeWatch + offset) <= length(ewatch.timeSeconds))
    sampeWatch = sampeWatch + offset;
elseif (sampeWatch + offset) < 1
    sampeWatch = 1;
elseif (sampeWatch + offset) >= length(ewatch.timeSeconds)
    sampeWatch = length(ewatch.timeSeconds);
end   

lasteWatchSample = sampeWatch;
