function sampleAudio = getSampleAudio(currentTime, i, handle_control)
global audio
global lastAudioSample

currentSecond = timestamp2sec(currentTime);

sampleAudio = lastAudioSample;

if audio{i}.timing(sampleAudio)- currentSecond <0
    sampleAudio = sampleAudio + find(audio{i}.timing(sampleAudio:end)- currentSecond >=0, 1);
    if isempty(sampleAudio)
        sampleAudio = 1;
    end
elseif audio{i}.timing(sampleAudio)- currentSecond >0
    sampleAudio = find(currentSecond - audio{i}.timing(1:sampleAudio) <=0, 1);
    if isempty(sampleAudio)
        sampleAudio = 1;
    end
end

offset = round(str2double(get(handle_control.edit_offset_audio, 'String')));
if isnan(offset)
    stopPlay(handle_control);
    errordlg('There is not a number in the offset box', 'Error: Offset', 'modal');
    return
end

if ((sampleAudio + offset) >= 1) && ((sampleAudio + offset) <= length(audio{i}.timing))
    sampleAudio = sampleAudio + offset;
elseif (sampleAudio + offset) < 1
    sampleAudio = 1;
elseif (sampleAudio + offset) >= length(audio{i}.timing)
    sampleAudio = length(audio{i}.timing);
end   

lastAudioSample = sampleAudio;

