function [labels, allLabel] = removeOldEntry(index_selected, labels, allLabel)

% If the label to delete is not the first one of the list
if index_selected > 1

    % What labels are below the one it's being deleted?
    tmpLow = labels(1 : index_selected-1, :);
    tmpLowList = allLabel(1 : index_selected-1);
    
    if index_selected < size(labels ,1)
        
        tmpHigh = labels (index_selected+1 : size(labels, 1), :);
        tmpHighList = allLabel(index_selected+1 : size(allLabel, 2));
        
        % Built new allLabel below and above the one it is being deleted.
        labels = [tmpLow; tmpHigh]; % Concatenate rows
        allLabel = [tmpLowList tmpHighList]; % Concatenating columns     

    else
        labels = tmpLow;
        allLabel = tmpLowList;
    end

% If we want to delete the first label of the list
else
    % First, check if it is not the only one
    if index_selected < size(labels, 1)
        % Get the labels above the first one
        tmpHigh = labels (2 : size(labels, 1), :);
        tmpHighList = allLabel (2 : size(allLabel, 2));
        
        % Use only the labels avobe the first one
        labels = tmpHigh;
        allLabel = tmpHighList;
        
    % If it is the only label in the list
    else
        labels = {};
        allLabel = {};
    end
end
