function setCamNames(handles, settings)
% Set camera names, if default is checked (out71..), if not enable handle
% to write them

default = get(handles.checkbox_names,'Value');

if default == 1
    set (handles.edit_name_cam1, 'Enable', 'off', 'String', 'out6510211');
    set (handles.edit_name_cam4, 'Enable', 'off', 'String', 'out7151020');
    set (handles.edit_name_cam5, 'Enable', 'off', 'String', 'out7151062');
    if ~settings.pilotTree
        set (handles.edit_name_cam2, 'Enable', 'off', 'String', 'out7150996');
        set (handles.edit_name_cam3, 'Enable', 'off', 'String', 'out8421130');
        set (handles.edit_name_cam6, 'Enable', 'off', 'String', 'out7150991');
    else
        set (handles.edit_name_cam2, 'Enable', 'off', 'String', 'out7150991');
        set (handles.edit_name_cam3, 'Enable', 'off', 'String', 'out7101021');
        set (handles.edit_name_cam6, 'Enable', 'off', 'String', 'outOnboard');
    end
else
    set (handles.edit_name_cam1, 'Enable', 'on')
    set (handles.edit_name_cam2, 'Enable', 'on')
    set (handles.edit_name_cam3, 'Enable', 'on')
    set (handles.edit_name_cam4, 'Enable', 'on')
    set (handles.edit_name_cam5, 'Enable', 'on')
    set (handles.edit_name_cam6, 'Enable', 'on')
end