% Synchronize system time in timestamps those with same trigger
function paths = renameAudioFiles (cPath, paths,z)
    
    dataDir = dir(cPath);
    i=1;
    
    while (isempty(strfind(dataDir(i).name, 'Audio')) && isempty(strfind(dataDir(i).name, 'audio')) || ~dataDir(i).isdir) && i < size({dataDir.name},2) 
        i=i+1; 
    end
    if ~(isempty(strfind(dataDir(i).name, 'Audio')) && isempty(strfind(dataDir(i).name, 'audio')) || ~dataDir(i).isdir)
        audioPath = strcat(cPath, filesep ,dataDir(i).name,filesep);
        temp = dir([audioPath,'Audio Track*']);
        n_temp = length(temp);
        for i=1:n_temp
            if ~temp(i).isdir
                oldFile = [audioPath, temp(i).name];
                newFile = strrep(temp(i).name, 'Audio Track', 'AudioTrack');
              
                fprintf('Renaming to... %s\n', newFile);
                
                if ispc                  
                   [status,result]=system(sprintf('rename "%s" "%s"', oldFile, newFile));
                   if status
                       keyboard;
                   end
                else
                    if isunix
                        %to test
                        newFile = [audioPath , newFile];
                        [status,result]=system(sprintf('mv "%s" "%s"', oldFile, newFile));
                    end
                end
                
                % movefile(oldFile,newFile);
            end;
        end;
    end
    
    [pathstr, name, ext, versn] = fileparts(paths{z});
    if strcmp(name,'Audio Track')==1
        name='AudioTrack';
        paths{z}=[pathstr,filesep,name,ext];
    end
    %pause(3);
