function settings = setDefaultSettings()
% Set default parameters on set default parameters gui

settings.numDataSources = 16;

settings.all_imu = 1; % Load all IMU sensors [1 = yes]
settings.imuForSync = {'3337', '0006660160E3'};  % In case it loads only one 
                                                 % sensor, set these ones by default

settings.all_audio = 1; % Load data for all microphones [1 = yes]
settings.audioDecimateFactor = 200; % Downsampling factor

settings.mocapDecimateFactor = 0; % Downsampling factor

settings.ewatchperiod = 1/60; % Sampling period for eWatch

settings.pilotTree = 0; % Compatibility with pilot data set directory tree