function X = expX(X0, amp)
% Expand the curve without changing its shape.

n = size(X0, 2);

% adjust
X = X0;
for i = 2 : n
    dx0 = X0(:, i) - X0(:, i - 1);
    X(:, i) = X(:, i - 1) + dx0 * amp;
end