function a = str2int(s)
% Pass the given string as an integer.
%
% Input
%   s  -  string, 1 x m (cell)
%
% Output
%   a  -  integer or NaN if s is invalid
%
% History
%   create  -  Feng Zhou, 02-13-2009
%   modify  -  Feng Zhou, 02-13-2009

a = str2double(s);

if ~isnan(a)
    a = round(a);
end
