function [imageName, frameEachCam, id] = getCurrentCamAndFrame(whatData, currentTime, handle_control)
global cam
global frameEachCam
imageName = {0,0,0,0,0,0,0};    

offset = [ round(str2double(get(handle_control.edit_offset_cam1, 'String')))
    round(str2double(get(handle_control.edit_offset_cam2, 'String')))
    round(str2double(get(handle_control.edit_offset_cam3, 'String')))
    round(str2double(get(handle_control.edit_offset_cam4, 'String')))
    round(str2double(get(handle_control.edit_offset_cam5, 'String')))
    round(str2double(get(handle_control.edit_offset_cam6, 'String'))) ];

for k = 1 : 1: 6
    if whatData(k+2) ~=0
        currentFrame = find(strcmp(currentTime, cam{k}.textTimeStamp),1) + cam{k}.num1stFrame;
        if ~isempty(currentFrame)
            if isnan(offset(k))
                stopPlay(handle_control);
                errordlg(['There is not a number in the offset box' num2str(k+2)], 'Error: Offset', 'modal');
                return
            end
            currentFrame = currentFrame + offset(k);
            if currentFrame > 0 && currentFrame <= cam{k}.numlastFrame
                textFrameNumber = num2str(cam{k}.numFrames(currentFrame) -1);
                fileName = getFileName(cam{k}.File, textFrameNumber, ...
                    cam{k}.textTimeStamp{currentFrame}, cam{k}.id);
            else
                if currentFrame <= 0
                    textFrameNumber = num2str(cam{k}.num1stFrame);
                    fileName = getFileName(cam{k}.File, textFrameNumber, cam{k}.textTimeStamp{cam{k}.num1stFrame}, cam{k}.id);
                else
                    textFrameNumber = num2str(cam{k}.numlastFrame);
                    fileName = getFileName(cam{k}.File, num2str(cam{k}.numlastFrame), cam{k}.textTimeStamp{cam{k}.numlastFrame}, cam{k}.id);
                end
            end
            frameEachCam{k} = textFrameNumber;
            imageName{k+1} = fileName;
            id{k} = cam{k}.id;
        else
            frameEachCam{k}=[];
        end
    end
end
