function sampleRFID = getSampleRFID(currentTime, handle_control)

global rfid
global lastRFIDSample

currentSecond = timestamp2sec(currentTime);

[dif,sampleRFID]=min(abs(rfid.timing-currentSecond));

offset = round(str2double(get(handle_control.edit_offset_rfid, 'String')));
if isnan(offset)
    stopPlay(handle_control);
    errordlg('There is not a number in the offset box', 'Error: Offset', 'modal');
    return
end

if ((sampleRFID + offset) >= 1) && ((sampleRFID + offset) <= length(rfid.timing))
    sampleRFID = sampleRFID + offset;
elseif (sampleRFID + offset) < 1
    sampleRFID = 1;
elseif (sampleRFID + offset) >= length(rfid.timing)
    sampleRFID = length(rfid.timing);
end   

lastRFIDSample = sampleRFID;
