function showAudioData (i)
% showAudioData(handle_control, i) 
%   i: number of microphone to show

global audio
global hand
global handle_audio_mark


xmax = size(audio{i}.Data, 1);
ymax = max(audio{i}.Data);
ymin = min(audio{i}.Data);

figure(hand.h_fig);
set(hand.h_fig,'CurrentAxes',hand.h_audio);
plot(audio{i}.Data), xlim([1 xmax]), ylim([ymin ymax]);

hold on;
handle_audio_mark = plot( [1, 1], [ymin, ymax], '-', 'LineWidth', 2, 'Color', [1 0 0], 'Tag', 'hmark');
hold off;

