function showeWatchData(handle_control, ewatchSel)
global ewatch
global hand
global handle_ewatch_mark

if get(handle_control.checkbox_update_ewatch, 'Value') == get(handle_control.checkbox_update_ewatch, 'Max')
    if ewatchSel==2
        xmax = size(ewatch.light{1}, 1);
        ymax = max(ewatch.light{1});
        ymin = min(ewatch.light{1});
        set(0, 'CurrentFigure', hand.h_fig);
        set(hand.h_fig,'CurrentAxes',hand.h_ewatch);
        plot(ewatch.light{1}), xlim([1 xmax]), ylim([ymin ymax]);
        set(findobj(gca,'Type','line'),'Color',[0 0.3 1]);
        hold on;
        handle_ewatch_mark = plot( [1, 1], [ymin, ymax], '-', 'LineWidth', 2, 'Color', [1 0 0], 'Tag', 'hmark');
        hold off;
    else
        xmax = size(ewatch.accel_Z{1}, 1);
        ymax = max([max(ewatch.accel_Z{1}), max(ewatch.accel_Y{1}), max(ewatch.accel_X{1})]);
        ymin = min([min(ewatch.accel_Z{1}), min(ewatch.accel_Y{1}), min(ewatch.accel_X{1})]);
        set(0, 'CurrentFigure', hand.h_fig);
        set(hand.h_fig,'CurrentAxes',hand.h_ewatch);
        plot( [ ewatch.accel_X{1}, ewatch.accel_Y{1}, ewatch.accel_Z{1} ]), xlim([1 xmax]), ylim([ymin ymax]);
        hold on;
        handle_ewatch_mark = plot( [1, 1], [ymin, ymax], '-', 'LineWidth', 2, 'Color', [1 0 0], 'Tag', 'hmark');
        hold off;
        
    end
end