function whatData = whatDataIsLoaded ()
global imu_cb
global imu_bt
global cam
global audio
global mocap
global rfid
global ewatch
global settings

whatData = zeros (1,settings.numDataSources);

if ~isempty(imu_cb)
    whatData(1)=1;
end

if ~isempty(imu_bt)
    whatData(2)=1;
end

for i=1:6
    try
        if ~isempty(cam{i})
            whatData(i+2)=1;
        end
    catch
    end
end

for i=1:5
    try
        if ~isempty(audio{i})
            whatData(i+8)=1;
        end
    catch
    end
end

if ~isempty(mocap)
    whatData(14) = 1;
end

if ~isempty(rfid)
    whatData(15) = 1;
end

if ~isempty(ewatch)
    whatData(16) = 1;
end
