
function [ mainPath, paths, matPath ] = setPaths(handles, settings)
% Saves paths to paths variable

mainPath = get(handles.edit_main, 'String');
if mainPath(end) ~= filesep, mainPath = [mainPath filesep]; end
set(handles.edit_main, 'String', mainPath);


if get(handles.checkbox_default,'Value') == get(handles.checkbox_default,'Max')
    % Set all paths by default 
    setDeafaultPaths(mainPath, handles, settings);
    % Get all paths again
    [paths, matPath] = getDataPaths (handles);
    
else
    % Check that all paths and files exist
    % cam with filesep at the end
    [paths, matPath] = getDataPaths (handles);
    
    % all paths are directories, except of audio (path{9}) and RFID
    % (path{11}) which are files
    dirs = [1:8 10 12:13]; 
    for i=1:length(dirs)
        if paths{dirs(i)}(end) ~= filesep
            paths{dirs(i)} = [paths{dirs(i)} filesep];
        end
    end
    if matPath(end) ~= filesep
        matPath = [matPath filesep];
    end
    
    
end
