function [len, lens] = lenX(X)
% Calculate the length of the curve.

n = size(X, 2);
lens = zeros(1, n);
for i = 2 : n
    tmp = X(:, i) - X(:, i - 1);
    lens(i) = lens(i - 1) + sqrt(tmp' * tmp);
end
len = lens(n);