function a = count(base, i, j)
% Obtain the one-dimensional index value by using two-dimensional index.
% a = base * (i - 1) + j
%
% Input
%   base    -  base in the 1st dimension
%   i       -  index in the 1st dimension
%   j       -  index in the 2nd dimension
%
% Output
%   a       -  result
%
% History
%   create  -  Feng Zhou, 02-05-2009
%   modify  -  Feng Zhou, 02-24-2009

a = base * (i - 1) + j;