function varargout = oness(varargin)
% Produce numerous one matrix.
%
% Input
%   varargin   -  dimensions
%
% Output
%   varargout  -  numerous ones matrix
%
% History
%   create     -  Feng Zhou, 02-13-2009
%   modify     -  Feng Zhou, 02-13-2009

ndim = 0;
for i = 1 : nargin
    dim = varargin{i};
    ndim = ndim + length(dim);
end
dims = cell(1, ndim);

ndim = 0;
for i = 1 : nargin
    dim = varargin{i};
    for j = 1 : length(dim)
        ndim = ndim + 1;        
        dims{ndim} = dim(j);
    end 
end

nout = nargout;
for i = 1 : nout
    varargout{i} = ones(dims{:});
end