function vis = pos2vis(p, n)
% Convert the actual positions to binary indicator.
%
% Input
%   p    -  actual positions, 1 x m
%   n    -  vector length
%
% Output
%   vis  -  binary indicator, 1 x n (binary)
%
% History
%   create   -  Feng Zhou, 02-04-2008
%   modify   -  Feng Zhou, 02-04-2008

vis = zeros(1, n);
for i = 1 : length(p)
    vis(p(i)) = 1;
end

vis = vis == 1;